<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file name='/usr/share/lxc/config/common.conf' source='lxc_common.conf'/>
    </files>

    <variables>

        <family name='EoleAD'>
            <variable name='ad_local' type='oui/non' description="Utiliser le serveur Active Directory local" auto_freeze='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_public_address' type='ip' description='Adresse IP publique Active Directory ' mandatory='True' auto_freeze="True"/>
        </family>

    </variables>

    <constraints>

        <condition name='disabled_if_in' source='ad_local'>
             <param>non</param>
             <target>ad_public_address</target>
        </condition>

        <check name="valid_in_network" target="ad_public_address">
            <param type='eole' hidden="False">adresse_network_eth0</param>
            <param type='eole' hidden="False">adresse_netmask_eth0</param>
        </check>
        <check name="valid_differ" target="ad_public_address">
            <param type='eole' hidden='False'>adresse_ip_eth0</param>
        </check>

    </constraints>

    <help>
        <variable name='ad_local'>Joindre le serveur au service AD déployé dans le conteneur local addc</variable>
        <variable name='ad_public_address'>Adresse du service AD exposée sur le réseau</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
